apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
    ingress.kubernetes.io/ssl-redirect: "true"
    nginx.ingress.kubernetes.io/enable-cors: "false"
    nginx.ingress.kubernetes.io/force-ssl-redirect: "true"
    nginx.ingress.kubernetes.io/proxy-body-size: 1gb
    nginx.ingress.kubernetes.io/rewrite-target: /
  name: mas-smtp.dev.enaioci.net # ingress name
  namespace: mailarchiving
spec:
  ingressClassName: nginx
  rules:
  - host: mas-smtp.dev.enaioci.net # host name
    http:
      paths:
      - backend:
          service:
            name: mailarchiving-smtp # service
            port:
              number: 25000 #default service port
        path: /
        pathType: Prefix
  tls:
  - hosts:
    - mas-smtp.dev.enaioci.net
    secretName: mas-smtp-dev-enaioci-net-cert # secret name
